
<div *ngIf="showListComponent">

<div class="table-top">
  <input type="text" class="search-text" [(ngModel)]="searchingText" (ngModelChange)="searchProduct()" placeholder="Search...">
  <button class="button-agregar" (click)="goToAdd()">Agregar</button>
</div>


<div class = "table-container">

<table>
  <thead>
      <tr>
          <td>Logo</td>
          <td>Nombre de productuo</td>
          <td>Descripción <button class="table-button-info" (click)="showInfo()">i</button> </td>
          <td>Fecha de liberación <button class="table-button-info" (click)="showInfo()">i</button> </td>
          <td>Fecha de reestructuración <button class="table-button-info" (click)="showInfo()">i</button> </td>
          <td></td>
      </tr>
  </thead>

  <tbody>
    <tr *ngFor="let item of listOfProductsOnPage">
      <td>
        <img src="{{item.logo}}"
              width="50">
      </td>
      <td>
        {{item.name}}
      </td>
      <td>
        {{item.description}}
      </td>
      <td>
        {{item.date_release | date: 'dd/MM/yyyy' }}
      </td>
      <td>
        {{item.date_revision | date: 'dd/MM/yyyy'}}
      </td>

      <td>
        <div class="contenedor">
        <button id="boton" class="buttonMenu">&vellip;</button>
        <ul class="menu" id="menu">
          <li><a (mousedown)="goToEdit(item)">Editar</a></li>
          <li><a (mousedown)="goToDelete(item)">Eliminar</a></li>
        </ul>
      </div>
      </td>
    </tr>

  </tbody>

</table>

  <div class="table-bottom">
    <label>{{numberOfResults}} resultados</label>

    <select (change)="changeResultsOnPage($event)">
      <option>5</option>
      <option>10</option>
      <option>15</option>
    </select>
  </div>

</div>

</div>

<app-registro-producto *ngIf="showRegistro" (cerrarRegistroEvent)="closeRegistro()"></app-registro-producto>
<app-eliminacion-producto *ngIf="showEliminacion" (eliminacionCompletadaEvent)="closeEliminacion();" [producto]="productSelected"></app-eliminacion-producto>
<app-edicion-producto *ngIf="showEdicion" (edicionCompletadaEvent)="closeEdicion()" (cerrarEdicionEvent)="closeEdicion()" [producto]="productSelected"></app-edicion-producto>
